## org.apache.mahout.cf.taste.example.kddcup.track1
Class Track1RecommenderEvaluator

    java.lang.Object
      org.apache.mahout.cf.taste.impl.eval.AbstractDifferenceRecommenderEvaluator
          org.apache.mahout.cf.taste.example.kddcup.track1.Track1RecommenderEvaluator

All Implemented Interfaces:
  RecommenderEvaluator

    public final class Track1RecommenderEvaluator

extends AbstractDifferenceRecommenderEvaluator

Attempts to run an evaluation just like that dictated for Yahoo's KDD Cup, Track 1. It will compute the RMSE of a validation data set against the predicted ratings from the training data set.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.mahout.cf.taste.impl.eval.AbstractDifferenceRecommenderEvaluator
`AbstractDifferenceRecommenderEvaluator.PreferenceEstimateCallable`

Constructor Summary
`Track1RecommenderEvaluator(File dataFileDirectory)`

Method Summary
`protected double` `computeFinalEvaluation()`
`double` `evaluate(RecommenderBuilder recommenderBuilder, DataModelBuilder dataModelBuilder, DataModel dataModel, double trainingPercentage, double evaluationPercentage)`
`protected void` `processOneEstimate(float estimatedPreference, Preference realPref)`
`protected void` `reset()`

Methods inherited from class org.apache.mahout.cf.taste.impl.eval.AbstractDifferenceRecommenderEvaluator
`execute, getMaxPreference, getMinPreference, setMaxPreference, setMinPreference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Track1RecommenderEvaluator

    public Track1RecommenderEvaluator(File dataFileDirectory)

Method Detail

### evaluate

    public double evaluate(RecommenderBuilder recommenderBuilder,
                           DataModelBuilder dataModelBuilder,
                           DataModel dataModel,
                           double trainingPercentage,
                           double evaluationPercentage)
                    throws TasteException

  Specified by:
    `evaluate` in interface `RecommenderEvaluator`
  Overrides:
    `evaluate` in class `AbstractDifferenceRecommenderEvaluator`
  Throws:
    `TasteException`

### reset

    protected void reset()

  Specified by:
    `reset` in class `AbstractDifferenceRecommenderEvaluator`

### processOneEstimate

    protected void processOneEstimate(float estimatedPreference,
                                      Preference realPref)

  Specified by:
    `processOneEstimate` in class `AbstractDifferenceRecommenderEvaluator`

### computeFinalEvaluation

    protected double computeFinalEvaluation()

  Specified by:
    `computeFinalEvaluation` in class `AbstractDifferenceRecommenderEvaluator`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.